# DataExchange
TKSTEPBase
StepRepr

# StepRepr_Representation Class Reference

`#include <StepRepr_Representation.hxx>`

Inheritance diagram for StepRepr_Representation:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_Representation ()
| Returns a Representation .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepRepr_HArray1OfRepresentationItem)&aItems, const Handle(StepRepr_RepresentationContext)&aContextOfItems)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetItems (const Handle(StepRepr_HArray1OfRepresentationItem)&aItems)
Standard_EXPORT Handle_StepRepr_HArray1OfRepresentationItem | Items () const
Standard_EXPORT Handle_StepRepr_RepresentationItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT void | SetContextOfItems (const Handle(StepRepr_RepresentationContext)&aContextOfItems)
Standard_EXPORT Handle_StepRepr_RepresentationContext | ContextOfItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
Handle_StepRepr_HArray1OfRepresentationItem | items
Handle_StepRepr_RepresentationContext | contextOfItems

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_Representation::StepRepr_Representation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepRepr_RepresentationContext StepRepr_Representation::ContextOfItems | ( |  | ) | const

Standard_EXPORT const StepRepr_Representation::Handle | ( | Standard_Type |  | ) | const

Reimplemented in StepFEA_Curve3dElementRepresentation, StepFEA_DummyNode, StepFEA_ElementRepresentation, StepFEA_FeaModel, StepFEA_FeaModel3d, StepFEA_GeometricNode, StepFEA_Node, StepFEA_NodeRepresentation, StepFEA_NodeWithSolutionCoordinateSystem, StepFEA_NodeWithVector, StepFEA_Surface3dElementRepresentation, StepFEA_Volume3dElementRepresentation, StepRepr_DefinitionalRepresentation, StepRepr_ExternallyDefinedRepresentation, StepShape_AdvancedBrepShapeRepresentation, StepShape_CompoundShapeRepresentation, StepShape_ConnectedFaceShapeRepresentation, StepShape_CsgShapeRepresentation, StepShape_DefinitionalRepresentationAndShapeRepresentation, StepShape_EdgeBasedWireframeShapeRepresentation, StepShape_FacetedBrepShapeRepresentation, StepShape_GeometricallyBoundedSurfaceShapeRepresentation, StepShape_GeometricallyBoundedWireframeShapeRepresentation, StepShape_ManifoldSurfaceShapeRepresentation, StepShape_NonManifoldSurfaceShapeRepresentation, StepShape_PointRepresentation, StepShape_ShapeDimensionRepresentation, StepShape_ShapeRepresentation, StepShape_ShapeRepresentationWithParameters, StepShape_TransitionalShapeRepresentation, StepVisual_DraughtingModel, StepVisual_MechanicalDesignGeometricPresentationArea, StepVisual_MechanicalDesignGeometricPresentationRepresentation, StepVisual_PresentationArea, StepVisual_PresentationRepresentation, StepVisual_PresentationView, and StepVisual_Template.

virtual Standard_EXPORT void StepRepr_Representation::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepRepr_HArray1OfRepresentationItem)& | aItems,
|  | const Handle(StepRepr_RepresentationContext)& | aContextOfItems
| ) | `[virtual]`

Standard_EXPORT Handle_StepRepr_HArray1OfRepresentationItem StepRepr_Representation::Items | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_RepresentationItem StepRepr_Representation::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_Representation::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer StepRepr_Representation::NbItems | ( |  | ) | const

Standard_EXPORT void StepRepr_Representation::SetContextOfItems | ( | const Handle(StepRepr_RepresentationContext)& | aContextOfItems | ) |

Standard_EXPORT void StepRepr_Representation::SetItems | ( | const Handle(StepRepr_HArray1OfRepresentationItem)& | aItems | ) |

Standard_EXPORT void StepRepr_Representation::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_StepRepr_RepresentationContext StepRepr_Representation::contextOfItems `[private]`

Handle_StepRepr_HArray1OfRepresentationItem StepRepr_Representation::items `[private]`

Handle_TCollection_HAsciiString StepRepr_Representation::name `[private]`

The documentation for this class was generated from the following file:

- StepRepr_Representation.hxx